#!/usr/bin/python -tt
import base64
import textwrap


NAME_OF_SCRIPT_FILE = "./generated-script"

TEMPLATE = """---
- interpreter:
    - "/usr/bin/python"
    - "-m"
    - "fazer"
  script: !!binary |
{script}
"""

if __name__ == '__main__':
    with open('dist/fazer-1.0-py3-none-any.whl', 'rb') as f:
        script = f.read()

    script = base64.b64encode(script)
    script = str(script, encoding="ascii")
    script = textwrap.wrap(script, initial_indent="    ", subsequent_indent="    ")
    script = "\n".join(script)

    with open('script.yml', 'w') as f:
        output = TEMPLATE.format(script=script)
        f.write(output)
